"use strict";
var path = require("path");
function getFileName(file) {
    return path.basename(file).split(path.dirname(file))[0];
}
function gcc(args, callback) {
    var spawn = require('child_process').spawn;
    var call_args = ['-g'];
    var file = args[0];
    call_args.push(file);
    call_args.push('-o');
    call_args.push(getFileName(file) + '.exe');
    var cmd = 'gcc ';
    for (var i in call_args) {
        cmd += call_args[i] + ' ';
    }
    console.log(cmd);
    var tsc = spawn('gcc', call_args);
    tsc.stdout.on('data', function (data) {
        console.log("stdout: " + data);
    });
    tsc.stderr.on('data', function (data) {
        console.log("stderr: " + data);
    });
    tsc.on('close', function (code) {
        callback(code);
    });
}
exports.gcc = gcc;
//# sourceMappingURL=gcc.js.map