"use strict";
var path = require("path");
var ts2c_file = path.join(__dirname, '../../../', 'node_modules', 'ts2c', 'build', 'ts2c.js');
function ts2c(args, callback) {
    var spawn = require('child_process').spawn;
    var call_args = [ts2c_file];
    for (var i in args) {
        call_args.push(args[i]);
    }
    var cmd = 'node ';
    for (var i in call_args) {
        cmd += call_args[i] + ' ';
    }
    console.log(cmd);
    var tsc = spawn('node', call_args);
    tsc.stdout.on('data', function (data) {
        console.log("stdout: " + data);
    });
    tsc.stderr.on('data', function (data) {
        console.log("stderr: " + data);
    });
    tsc.on('close', function (code) {
        callback(code);
    });
}
exports.ts2c = ts2c;
//# sourceMappingURL=ts2c.js.map