"use strict";
var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
var path = require("path");
var ts2c_1 = require("../mts/ts2c");
var gcc_1 = require("../mts/gcc");
var ComplieTools_1 = require("./ComplieTools");
var ComplieToNativeTools = (function (_super) {
    __extends(ComplieToNativeTools, _super);
    function ComplieToNativeTools() {
        return _super.apply(this, arguments) || this;
    }
    ComplieToNativeTools.prototype.complie = function () {
        var _this = this;
        var startBuildTime = new Date().getTime();
        var files = this.getNeedComplieFiles();
        ts2c_1.ts2c(files, function () {
            var cfile = _this.getFileName(files[0]) + '.c';
            console.log(cfile);
            gcc_1.gcc([cfile], function () {
                var endBuildTime = new Date().getTime();
                console.log('build ' + _this.getModuleName() + ' finish, time cost: ', endBuildTime - startBuildTime);
            });
        });
    };
    ComplieToNativeTools.prototype.getFileName = function (file) {
        return path.basename(file).split(path.dirname(file))[0];
    };
    return ComplieToNativeTools;
}(ComplieTools_1.ComplieTools));
exports.ComplieToNativeTools = ComplieToNativeTools;
//# sourceMappingURL=ComplieToNativeTools.js.map