"use strict";
var ComplieTools_1 = require("./ComplieTools");
var existBuildTools = {};
var ComplieToolsFactory = (function () {
    function ComplieToolsFactory() {
    }
    ComplieToolsFactory.prototype.createBuildTools = function (moduleName, configFiles, tsComplieOptions, isDepModule) {
        if (!existBuildTools[moduleName]) {
            existBuildTools[moduleName] = new ComplieTools_1.ComplieTools(moduleName, configFiles, tsComplieOptions, isDepModule);
        }
        return existBuildTools[moduleName];
    };
    return ComplieToolsFactory;
}());
exports.ComplieToolsFactory = ComplieToolsFactory;
//# sourceMappingURL=ComplieToolsFactory.js.map